from django.urls import path

from . import views

urlpatterns = [
    path("transactions", views.TransactionListView.as_view(), name="transactions"),
    path("transaction", views.TransactionCreateView.as_view(), name="new_transaction"),
    path(
        "transaction/<transaction_pk>/invoice",
        views.InvoiceCreateView.as_view(),
        name="new_invoice",
    ),
    path("transaction/<pk>", views.TransactionUpdateView.as_view(), name="transaction"),
    path(
        "transaction/<transaction_pk>/invoice/<pk>",
        views.InvoiceUpdateView.as_view(),
        name="invoice",
    ),
    path(
        "transaction/<pk>/delete",
        views.TransactionDeleteView.as_view(),
        name="del_transaction",
    ),
    path(
        "transaction/<transaction_pk>/invoice/<pk>/delete",
        views.InvoiceDeleteView.as_view(),
        name="del_invoice",
    ),
    path(
        "history/<int:year>/<int:month>",
        views.TransactionMonthView.as_view(),
        name="transaction_month",
    ),
]
